﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace visLU
{
    /// <summary>
    /// represents a control point for the transfer function.
    /// </summary>
    public class TransferControlPoint
    {
        // control points for transfer function

        public int isoValue; //between 0 and 255
        public Vector4 color;

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="r"></param>
        /// <param name="g"></param>
        /// <param name="b"></param>
        /// <param name="_isoValue">dansity value</param>
        public TransferControlPoint(float r, float g, float b, int _isoValue)
        {
            // for colorvalues
            color.X = r;
            color.Y = g;
            color.Z = b;
            color.W = 1.0f;
            isoValue = _isoValue;
        }

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="alpha">alpha value from transfer function</param>
        /// <param name="_isoValue">density value</param>
        public TransferControlPoint(float alpha, int _isoValue)
        {
            // for alphavalues
            color.X = 0.0f;
            color.Y = 0.0f;
            color.Z = 0.0f;
            color.W = alpha;
            isoValue = _isoValue;
        }
    }
}
