﻿#region Using Statements
using System;
using System.Collections.Generic;
#endregion

namespace visLU
{
    /// <summary>
    /// Container class for passing shared services between different components, for instance the
    /// ContentManager uses it to locate the IGraphicsDeviceService implementation.
    /// Implements the IServiceProvider interface. This is used
    /// </summary>
    public class VisServiceContainer : IServiceProvider
    {
        #region Variables
        Dictionary<Type, object> services = new Dictionary<Type, object>();
        #endregion

        /// <summary>
        /// Adds a new service to the collection.
        /// </summary>
        public void AddService<T>(T service)
        {
            services.Add(typeof(T), service);
        }


        /// <summary>
        /// Looks up the specified service.
        /// </summary>
        public object GetService(Type serviceType)
        {
            object service;

            services.TryGetValue(serviceType, out service);

            return service;
        }
    }
}
